net.sf.jasperreports.data.excel

## Enum ExcelFormatEnum

- java.lang.Object
- - java.lang.Enum<ExcelFormatEnum>
  - - net.sf.jasperreports.data.excel.ExcelFormatEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ExcelFormatEnum>, JREnum, NamedEnum

      public enum ExcelFormatEnum
      extends java.lang.Enum<ExcelFormatEnum>
      implements JREnum

  Version:
    $Id: BandTypeEnum.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTODETECT`
    `XLS`
    `XLSX`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ExcelFormatEnum` | `getByName(java.lang.String name)`
    `static ExcelFormatEnum` | `getByValue(byte value)`
    `static ExcelFormatEnum` | `getByValue(java.lang.Byte value)`
    `java.lang.String` | `getName()`
    `byte` | `getValue()`
    `java.lang.Byte` | `getValueByte()`
    `static ExcelFormatEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ExcelFormatEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AUTODETECT

          public static final ExcelFormatEnum AUTODETECT

    - #### XLS

          public static final ExcelFormatEnum XLS

    - #### XLSX

          public static final ExcelFormatEnum XLSX

  - ### Method Detail

    - #### values

          public static ExcelFormatEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExcelFormatEnum c : ExcelFormatEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExcelFormatEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValueByte

          public java.lang.Byte getValueByte()

      Specified by:
        `getValueByte` in interface `JREnum`

    - #### getValue

          public final byte getValue()

      Specified by:
        `getValue` in interface `JREnum`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `NamedEnum`

    - #### getByName

          public static ExcelFormatEnum getByName(java.lang.String name)

    - #### getByValue

          public static ExcelFormatEnum getByValue(java.lang.Byte value)

    - #### getByValue

          public static ExcelFormatEnum getByValue(byte value)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com